;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp -*-

(in-package :common-lisp-user)

(eval-when (:compile-toplevel :load-toplevel :execute)
  (asdf:operate 'asdf:load-op :cffi)
  (asdf:operate 'asdf:load-op :iolib-alien-grovel)
  (asdf:operate 'asdf:load-op :asdf-additions))

(defpackage #:iolib-posix-system
  (:use :common-lisp :asdf :iolib-alien-grovel))

(in-package #:iolib-posix-system)

(defsystem :iolib-posix
  :description "IOLIB-ALIEN-GROVEL definitions for standard Unix functions, and utilities"
  :author "Stelian Ionescu <stelian.ionescu-zeus@poste.it"
  :version "0.5.3"
  :depends-on (:cffi
               :iolib-alien-grovel
               :asdf-additions)
  :default-component-class muffled-source-file
  :components ((:file "pkgdcl")
               (:unix-dso "alien"
                   :components ((:c-source-file "misc")
                                (:c-source-file "largefile")))
               (:iolib-alien-grovel-file "unixint"
                   :depends-on ("pkgdcl"))
               #+linux
               (:iolib-alien-grovel-file "ioctls-linux"
                   :depends-on ("pkgdcl"))
               (:file "system-libraries" :depends-on ("pkgdcl"))
               (:file "macros" :depends-on ("pkgdcl" "alien"
                                            "unixint" "system-libraries"))
               (:file "unix"
                      :depends-on ("pkgdcl" "macros" "alien" "unixint"))
               (:file "misc" :depends-on ("pkgdcl" "unixint" "unix"))))
